# Class: stns::server::config
# ===========================
#
# stns::server::config is to configure stns.

class stns::server::config (
  Integer          $port     = $stns::server::port,
  Optional[String] $user     = $stns::server::user,
  Optional[String] $password = $stns::server::password,
  Optional[Array]  $tokens   = $stns::server::tokens,
){

  concat { '/etc/stns/server/stns.conf':
    ensure => present,
    owner  => 'root',
    group  => 'root',
    mode   => '0644',
    notify => Class['stns::server::service'],
  }

  concat::fragment {
    'header':
      target  => '/etc/stns/server/stns.conf',
      content => "# HEADER: Autogenerated by Puppet.\n\n",
      order   => '01';

    'server_config':
      target  => '/etc/stns/server/stns.conf',
      content => template('stns/server/stns.conf.erb'),
      order   => '20';

    'users_config':
      target  => '/etc/stns/server/stns.conf',
      content => "## Users configurations.\n",
      order   => '40';

    'groups_config':
      target  => '/etc/stns/server/stns.conf',
      content => "## Groups configurations.\n",
      order   => '60';
  }

}
